/*------------------------------------*\
  home
\*------------------------------------*/

.main--home .index--mixed {
  margin-bottom: $spacing-xl;
}

@include media('>=sm') {
  .main--home .index--mixed {
    padding: 0;
    position: relative;
    z-index: 2;
    .index__inner {
      height: calc(100vh - #{$header-lg-height});
      width: 100vw;
      padding: $grid-gutter-width/2 0;
    }
    .block--agenda .block__inner,
    .block--interview .block__inner {border: $border-width-sm solid $green;}
    .block--show .block__inner,
    .block--resident .block__inner, {border: $border-width-sm solid $gray;}
    .block--video .block__inner, {border: $border-width-sm solid $yellow;}
    .block:not(.block--connect) .block__text {
      padding: 0 $spacing-xxs $spacing-xxs $spacing-xxs;
    }
  }
  .main--home .index__content .block--interview{
    width: calc(100%/2);
  }
  .main--home .index__content .block--agenda{
    width: calc(100%/4);
  }
  #randomGrid {
    position: relative;
    height: 100%;
    width: 100%;
    overflow: hidden;
    .block {
      user-select: none;
      touch-action: none;
      z-index: 0;
    }
    .block__media .block__link {pointer-events: none; cursor: default;}
    .block__media {cursor: grab;}
    .block.is-moving .block__media {cursor: grabbing;}
  }
}
@include media('<sm') {
  #randomGrid .block {position: static !important;}
}
